NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.ConvertToFromReferenceBuilder Class Reference

Represents a NXOpen.ConvertToFromReferenceBuilder More...

Inheritance diagram for NXOpen.ConvertToFromReferenceBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  OutputType { Reference, Active }
 Represents the output type. More...
 

Public Member Functions

unsafe void AddProjectFeatureCurves (NXOpen.Curve entity)
 Adds all output entities belonging to the project feature that contains the input tag to the input objects list of the command. More...
 
unsafe void RemoveProjectFeatureCurves (NXOpen.Curve entity)
 Removes all output entities belonging to the project feature that contains the input tag from the input objects list of the command. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.SelectNXObjectList InputObjects [get]
 Returns the input objects. More...
 
unsafe
NXOpen.ConvertToFromReferenceBuilder.OutputType 
OutputState [get, set]
 Returns or sets the output type. More...
 
unsafe bool SelectAllProjectFeatureCurves [get, set]
 Returns or sets the projected curve flag. More...
 

Detailed Description

Represents a NXOpen.ConvertToFromReferenceBuilder

To create a new instance of this class, use NXOpen.SketchCollection.CreateConvertToFromReferenceBuilder

Created in NX5.0.0

Member Enumeration Documentation

Represents the output type.

Enumerator
Reference 

Outputs become reference objects.

Active 

Outputs become active objects.

Member Function Documentation

unsafe void NXOpen.ConvertToFromReferenceBuilder.AddProjectFeatureCurves ( NXOpen.Curve  entity)

Adds all output entities belonging to the project feature that contains the input tag to the input objects list of the command.

The SelectAllProjectFeatureCurves flag must be set to true before this function is called.

Created in NX5.0.0

License requirements: None.

Parameters
entityThe input curve tag.
unsafe void NXOpen.ConvertToFromReferenceBuilder.RemoveProjectFeatureCurves ( NXOpen.Curve  entity)

Removes all output entities belonging to the project feature that contains the input tag from the input objects list of the command.

The SelectAllProjectFeatureCurves flag must be set to true before this function is called.

Created in NX5.0.0

License requirements: None.

Parameters
entityThe input curve tag.

Property Documentation

unsafe NXOpen.SelectNXObjectList NXOpen.ConvertToFromReferenceBuilder.InputObjects
get

Returns the input objects.

The input objects must belong to the active sketch. Only curves and dimensions can be added to this list.

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.ConvertToFromReferenceBuilder.OutputType NXOpen.ConvertToFromReferenceBuilder.OutputState
getset

Returns or sets the output type.

If the output type is set to Active, all the selected curves and dimensions will get their reference status as active and if the output type is set to reference, they will get their reference status as reference.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.ConvertToFromReferenceBuilder.SelectAllProjectFeatureCurves
getset

Returns or sets the projected curve flag.

If this flag is ON and if at least one of the output curves of a sketch project feature are selected, all output curves of the sketch project feature will be selected.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.